CORKSCREW(1)

NAME
corkscrew - Tunnel TCP connections through HTTP proxies

SYNOPSIS
corkscrew proxy proxyport targethost targetport [ authfile ]

DESCRIPTION
This manual page documents briefly the corkscrew command. This manual page was written for the Debian distribution because the original program does not have a manual page. corkscrew is a simple tool to tunnel TCP connections through an HTTP proxy supporting the CONNECT method. It reads stdin and writes to stdout during the connection, just like netcat. It can be used for instance to connect to an SSH server running on a remote 443 port through a strict HTTPS proxy.

PARAMETERS

proxy
    This is the name of the host running the HTTP proxy.

proxyport
    This is the port on which to connect on the proxy.

target
    This is the host to reach through the proxy.

targetport
    This is the port to connect to on the target host.

COMMON USAGE
The common usage of corkscrew is to put the following line in your ssh_config: ProxyCommand corkscrew proxy proxyport %h %p This will let your ssh connection go through the proxy with the help of corkscrew.

AUTH FILE
The auth file is made of one single line containing your username and password in the form: username:password You should add the path to your auth file in the proxy command described above: ProxyCommand corkscrew proxy proxyport %h %p auth-file

SEE ALSO
ssh_config(5)

AUTHOR
corkscrew was written by Pat Padgett <agroman@agroman.net>. Thomas Seyrat <tomasera@debian.org> is the debian maintainer for this package. This manual page was written by Laurent Fousse <laurent@komite.net>, for the Debian GNU/Linux system (but may be used by others).